Debian Bug report logs - #627302
libgnustep-base1.20 does not work with gobjc-4.6

version graph

Package: src:gnustep-base; Maintainer for src:gnustep-base is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>;

Reported by: Asias He <asias.hejun@gmail.com>

Date: Thu, 19 May 2011 12:18:09 UTC

Severity: serious

Tags: fixed-upstream, sid, wheezy

Merged with 624928, 627638

Found in version gnustep-base/1.20.2-2

Fixed in version gnustep-base/1.22.0-1

Done: Yavor Doganov <yavor@gnu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, asias.hejun@gmail.com, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#627302; Package libgnustep-base1.20. (Thu, 19 May 2011 12:18:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asias He <asias.hejun@gmail.com>:
New Bug report received and forwarded. Copy sent to asias.hejun@gmail.com, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Thu, 19 May 2011 12:19:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgnustep-base1.20 does not work with gobjc-4.6
Date: Thu, 19 May 2011 20:13:04 +0800
Package: libgnustep-base1.20
Version: 1.20.2-2
Severity: normal


Is there any way that I can use gobjc-4.6 with libgnustep-base1.20?

$ apt-cache depends libgnustep-base-dev
libgnustep-base-dev
  Depends: libgnustep-base1.20
  Depends: gnustep-base-common
  Depends: gnustep-base-runtime
  Depends: gnustep-make
  Depends: gobjc
  Depends: <gnustep-fslayout-fhs>
    gnustep-common
  Suggests: libffi-dev
  Suggests: libxml2-dev
  Suggests: zlib1g-dev
  Suggests: libxslt1-dev
  Suggests: libgnutls-dev


$ apt-cache depends libgnustep-base1.20                                                                                       
libgnustep-base1.20
  Depends: gnustep-base-common
  Depends: libavahi-client3
  Depends: libavahi-common3
  Depends: libc6
  Depends: libffi5
  Depends: libgcc1
  Depends: libgcrypt11
  Depends: libgnutls26
  Depends: libobjc2
  Depends: libxml2
  Depends: libxslt1.1
  Depends: zlib1g
  Depends: <gnustep-fslayout-fhs>
    gnustep-common
  Recommends: gnustep-base-runtime

$ apt-cache depends gobjc-4.6
gobjc-4.6
  Depends: gcc-4.6-base
  Depends: gcc-4.6
  Depends: libc6-dev
  Depends: libc6
  Depends: libcloog-ppl0
  Depends: libgmp10
  Depends: libgmpxx4ldbl
  Depends: libmpc2
  Depends: libmpfr4
  Depends: libppl-c4
  Depends: libppl9
  Depends: zlib1g
  Depends: libobjc3
  Suggests: gobjc-4.6-multilib
  Suggests: <gcc-4.6-doc>
  Suggests: libobjc3-dbg


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgnustep-base1.20 depends on:
ii  gnustep-base-common     1.20.2-2         GNUstep Base library - common file
ii  gnustep-common [gnustep 2.4.0-3          Common files for the core GNUstep 
ii  libavahi-client3        0.6.30-3         Avahi client library
ii  libavahi-common3        0.6.30-3         Avahi common library
ii  libc6                   2.13-4           Embedded GNU C Library: Shared lib
ii  libffi5                 3.0.9-4          Foreign Function Interface library
ii  libgcc1                 1:4.6.0-7        GCC support library
ii  libgcrypt11             1.4.6-5          LGPL Crypto library - runtime libr
ii  libgnutls26             2.10.5-1+b1      the GNU TLS library - runtime libr
ii  libobjc2                4.5.3-1          Runtime library for GNU Objective-
ii  libxml2                 2.7.8.dfsg-2+b1  GNOME XML library
ii  libxslt1.1              1.1.26-7+b1      XSLT 1.0 processing library - runt
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libgnustep-base1.20 recommends:
ii  gnustep-base-runtime          1.20.2-2   GNUstep Base library - daemons and

libgnustep-base1.20 suggests no packages.

-- no debconf information




Bug reassigned from package 'libgnustep-base1.20' to 'src:gnustep-base'. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Thu, 19 May 2011 18:21:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnustep-base/1.20.2-2. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Thu, 19 May 2011 18:21:05 GMT) Full text and rfc822 format available.

Forcibly Merged 624928 627302. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Thu, 19 May 2011 18:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#627302; Package src:gnustep-base. (Thu, 19 May 2011 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Thu, 19 May 2011 18:57:05 GMT) Full text and rfc822 format available.

Message #16 received at 627302@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Asias He <asias.hejun@gmail.com>, 627302@bugs.debian.org
Subject: Re: Bug#627302: libgnustep-base1.20 does not work with gobjc-4.6
Date: Thu, 19 May 2011 21:20:18 +0300
reassign 627302 src:gnustep-base
forcemerge 624928 627302
thanks

Asias He wrote:
> Is there any way that I can use gobjc-4.6 with libgnustep-base1.20?

No, not for the time being, sorry.




Forcibly Merged 624928 627302 627638. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Sun, 29 May 2011 19:21:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Sun, 29 May 2011 19:21:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Nov 2011 07:32:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:41:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.